Bug 1313811 - Sporadic crash in QXcbWindow::handleClientMessageEvent
Sporadic crash in QXcbWindow::handleClientMessageEvent
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On: qt-5.6 qt-5.6.1
Blocks: 1276522 1277338 1277435 1277436 1284668 1288890 1290607 1294282 1294707 1301296 1303499 1303541 1305200 1309546
  Show dependency treegraph
 
Reported: 2016-03-02 06:56 EST by Robin Green
Modified: 2016-12-20 14:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:11:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-49450 None None None 2016-03-02 06:56 EST

  None (edit)
Description Robin Green 2016-03-02 06:56:37 EST
Description of problem:
I have experienced this crash several times in various different Qt applications, and so have many others - here is an example of it manifesting: https://bugzilla.redhat.com/show_bug.cgi?id=1305200

Version-Release number of selected component (if applicable):
qt5-qtbase-gui-5.5.1-12.fc23.x86_64

See external bug link for details.
Comment 1 Chris Hubick 2016-03-02 09:58:02 EST
Thanks Robin and Rex!

Hmm, so, I'm wondering if all these crashes I'm seeing are then related to my using a television as a monitor, which perhaps behaves differently than a regular monitor when I power it off while away, or the computer attempts to sleep the screen, etc.

I could have sworn I was seeing a lot of these during normal use though. I'll have to pay closer attention.  I'm also on the nvidia binary driver (UHD TV via GTX 980).

Can't wait to try QT 5.6 then.
Comment 2 Suren Karapetyan 2016-03-02 10:01:32 EST
In my case most (all?) the crashes happen when connecting/disconnecting an external monitor.
Comment 3 Fedora End Of Life 2016-11-24 10:53:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 14:11:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.